Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri
Class InfoSetUtil

    java.lang.Object
      org.apache.commons.jxpath.ri.InfoSetUtil

    public class InfoSetUtil

extends Object

Type conversions, XPath style.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Constructor Summary
`InfoSetUtil()`

Method Summary
`static boolean` | `booleanValue(Object object)` Converts the supplied object to boolean.
`static double` | `doubleValue(Object object)` Converts the supplied object to double.
`static Number` | `number(Object object)` Converts the supplied object to Number.
`static String` | `stringValue(Object object)` Converts the supplied object to String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InfoSetUtil

    public InfoSetUtil()

Method Detail

### stringValue

    public static String stringValue(Object object)

  Converts the supplied object to String.

  Parameters:
    `object` - to convert
  Returns:
    String value

### number

    public static Number number(Object object)

  Converts the supplied object to Number.

  Parameters:
    `object` - to convert
  Returns:
    Number result

### doubleValue

    public static double doubleValue(Object object)

  Converts the supplied object to double.

  Parameters:
    `object` - to convert
  Returns:
    double

### booleanValue

    public static boolean booleanValue(Object object)

  Converts the supplied object to boolean.

  Parameters:
    `object` - to convert
  Returns:
    boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.